Jupiter - Zadanie #1696

Zadanie # 1694 (Rozwigzany): Obstuga petnych tekstow

Modyfikacja modelu current document, jego mapowan oraz zapisywania w bazie
2017-05-19 11:14 - Michat Komar

Status: Rozwigzany Start date: 2017-05-19
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%
Category: integracja Estimated time: 0.00 hour
Target version: 0.3

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

W current document zamiast binarnych attachmentéw powinna sie znalez¢ informacja o id attachmentu + skad pochodzi. W ten
sposob podczas zapisywania current document, bedziemy wiedzieé skad pobrac¢ poszczegdlne attachmenty. W szczeg6lnosci trzeba
odpowiednio publikowa¢ dokument, ktéry ma attachmenty znajdujace sie w infonie.

Przy zapisie pliku do internal storage, nalezy umiescic¢ wszystkie zatgczniki w bazie danych, niezaleznie od ich pochodzenia. Jezeli
plik pochodzit z bazy, nalezy zweryfikowaé, czy nie byt zmieniany -> jezeli byt nadpisujemy, jezeli nie, nic nie robimy.

Associated revisions

Revision 252da162 - 2017-06-01 13:06 - Lukasz Waskiewicz

refs #1696 przebudowa mechanizmu obstugi contentu zatacznikéw

Revision d07d70f4 - 2017-06-01 13:06 - Lukasz Waskiewicz

refs #1696 obstuga zatgcznikéw z infony

Revision 27b537b8 - 2017-06-06 13:04 - Lukasz Waskiewicz

refs #1696 uproszczenie dziatania

Revision fca05efd - 2017-06-07 08:39 - Lukasz Waskiewicz

refs #1696 uproszczenie dziatania, poprawki testéw

Revision db77a087 - 2017-06-08 07:41 - Lukasz Waskiewicz

refs #1696 przesuniecie obstugi UPLOAD do web

Revision 2020fb58 - 2017-06-08 07:41 - Lukasz Waskiewicz

refs #1696 backend zatacznikéw

Revision 73af5744 - 2017-06-20 09:15 - Lukasz Waskiewicz
refs #1696 przesuniecie mapowania zatgcznikow

History

#1 - 2017-05-19 11:19 - Michat Komar
- Subject changed from Modyfikacja modelu current document oraz jego mapowarn to Modyfikacja modelu current document, jego mapowar oraz
zapisywania w bazie

- Description updated

#2 - 2017-06-01 13:52 - Lukasz Waskiewicz

- Status changed from Nowy to Testowanie

- Assignee changed from tukasz Waskiewicz to Michat Komar
- % Done changed from 0 to 100

#3 - 2017-06-21 13:06 - Michat Komar

- Status changed from Testowanie to Rozwigzany

Wyglada na to, ze wszystko dziata jak nalezy - patrzac w kod.

Jak bedziemy to integrowac, to poprawki najwyzej ogarnie sie za pomocg bugéw.
